dpkg-deb(1)

NAME
dpkg-deb - Debian-Paketarchiv (.deb) Manipulationswerkzeug

ÜBERSICHT
dpkg-deb [Optionen] Befehl

BESCHREIBUNG
dpkg-deb packt und entpackt Debian-Archive und stellt Informationen über sie breit.

Verwenden Sie dpkg, um Pakete auf Ihrem System hinzuzufügen oder zu entfernen

Sie können dpkg-deb durch Aufruf von dpkg mit beliebigen Optionen, die Sie an dpkg-deb übergeben wollen, aufrufen. dpkg erkennt, dass Sie dpkg-deb wollten und wird es für Sie ausführen.

BEFEHLE

-b, --build Verzeichnis [Archiv|Verzeichnis]
    Legt ein Debian-Archiv aus dem Dateisystembaum, der in Verzeichnis gespeichert ist, an. Verzeichnis muss ein DEBIAN-Unterverzeichnis aufweisen, das die Dateien mit Steuerinformation wie die control-Datei selbst enthält. Dieses Verzeichnis wird nicht in dem Dateisystemarchiv des Binärpakets auftauchen, sondern die Dateien selbst werden in den Steuer-Informationsbereich des Binärpakets gepackt. Falls Sie nicht --nocheck angeben, wird dpkg-deb DEBIAN/control lesen und es parsen. Es prüft sie auf Syntax-Fehler und andere Probleme und zeigt den Namen des zu bauenden Binärpakets an. dpkg-deb wird auch die Rechte der Betreuer-Skripte und anderer Dateien im DEBIAN-Steuer-Informationsverzeichnis prüfen. Falls kein Archiv angegeben ist, wird dpkg-deb das Paket in die Datei Verzeichnis.deb schreiben. Falls das anzulegende Archiv bereits existiert, wird es überschrieben. Falls das zweite Argument ein Verzeichnis ist, wird dpkg-deb in die Datei Paket_Version_arch.deb oder Paket_Version.deb, falls kein Architecture-Feld in der Paket-Steuerdatei vorhanden ist, schreiben. Wenn ein Zielverzeichnis statt einer Datei angegeben ist, darf die Option --nocheck nicht verwendet werden (da dpkg-deb die Paketsteuerdatei lesen und parsen muss, um den zu verwendenden Dateinamen zu bestimmen).

-I, --info Archiv [Steuer-Dateiname ...]
    Stellt Informationen über ein Binärpaketarchiv bereit. Falls keine Steuer-Dateinamen angegeben sind, wird es eine Zusammenfassung des Inhalts des Pakets sowie dessen Steuerdatei ausgeben. Falls Steuer-Dateinamen angegeben sind, wird dpkg-deb diese in der angegebenen Reihenfolge ausgeben; falls einige der Komponenten nicht vorhanden sind, wird es eine Fehlernachricht nach Stderr über jede ausgeben und sich mit dem Status 2 beenden.

-W, --show Archiv
    Stellt Informationen über Binärpaketarchive im Format dar, das mit dem Argument --showformat angegeben wurde. Das Standardformat zeigt den Paketnamen und die Paketversion in einer Zeile, getrennt durch einen Tabulator.

-f, --field Archiv [Steuer-Feldname ...]
    Extrahiert die Informationen der control-Datei aus einem Binärpaketarchiv. Falls keine Steuerdatei-Felder angegeben sind, gibt es die gesamte control-Datei aus. Falls welche angegeben sind, gibt dpkg-deb ihren Inhalt in der Reihenfolge aus, in der sie in der control-Datei angegeben sind. Falls mehr als ein Steuerdatei-Feld angegeben ist, stellt dpkg-deb jedem Inhalt seinen Feldnamen (und einen Doppelpunkt mit Leerzeichen) voran. Falls angeforderte Felder nicht gefunden werden wird kein Fehler gemeldet.

-c, --contents Archiv
    Listet den Inhalt des Dateisystem-Archivanteils des Paketarchivs auf. Die Ausgabe erfolgt derzeit in dem Format, das von tar in der ausführlichen Auflistung erstellt wird.

-x, --extract Archiv-Verzeichnis
    Extrahiert den Dateisystembaum aus einem Paketarchiv in das angegebene Verzeichnis. Beachten Sie, dass das Extrahieren eines Pakets in das Wurzelverzeichnis nicht zu einer korrekten Installation führt! Verwenden Sie dpkg zur Paketinstallation. Verzeichnis (aber nicht die übergeordneten) wird falls notwendig angelegt. Seine Rechte werden angepasst, um mit dem Inhalt des Pakets übereinzustimmen.

-X, --vextract Archiv-Verzeichnis
    Ist wie --extract (-x), gibt aber beim Arbeiten eine Liste von extrahierten Dateien aus.

--fsys-tarfile Archiv
    Extrahiert die Dateisystembaum-Daten aus einem Binärpaket und schickt sie zur Standardausgabe im tar-Format. Dies kann zusammen mit tar(1) verwendet werden, um eine bestimmte Datei aus einem Paketarchiv zu extrahieren.

-e, --control Archiv [Verzeichnis]
    Extrahiert die Steuer-Informationsdateien aus einem Paketarchiv in das angegebene Verzeichnis. Falls kein Verzeichnis angegeben ist, wird das Unterverzeichnis DEBIAN im aktuellen Verzeichnis verwendet. Das Zielverzeichnis (aber nicht übergeordnete) wird, falls notwendig, angelegt.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

--licence, --license
    Zeigt die Kopier-Lizenzierungsbedingungen und beendet sich.

OPTIONEN

--showformat=Format
    Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das --show verwenden wird. Das Format ist eine Zeichenkette, die für jedes aufgeführte Paket ausgegeben wird. Die Zeichenkette darf jedes Statusfeld in der Form »${Feldname}« referenzieren, eine Liste der möglichen Felder kann leicht mittels -I für das gleiche Paket ermittelt werden. Eine komplette Erläuterung der Formatieroptionen (darunter die Escape-Sequenzen und Feld-Tabulatoren) kann in der Erklärung der Option --showformat von dpkg-query(1) gefunden werden. Die Voreinstellung für dieses Feld ist "${Package}\t${Version}\n".

-zKomprimierstufe
    Gibt die Komprimierstufe an, die an das Komprimier-Backendprogramm beim Bau eines Pakets übergeben werden soll.

-Zkomprimier_Art
    Gibt die Art der Komprimierung beim Bau eines Pakets an. Erlaubte Werte sind gzip, bzip2, lzma und none (voreingestellt ist gzip).

--new
    Stellt sicher, dass dpkg-deb ein Archiv im »neuen« Format baut. Dies ist die Voreinstellung.

--old
    Zwingt dpkg-deb dazu, ein Archiv im »alten« Format zu bauen. Dieses alte Format wird nicht so leicht von nicht-Debian-Werkzeugen eingelesen und ist jetzt veraltet; der einzige Zweck ist zum Bau von Paketen, die von Dpkg-Versionen kleiner 0.93.76 (September 1995) eingelesen werden sollen. Diese Dpkg-Version wurde nur als i386 a.out-Programm veröffentlicht.

--nocheck
    Unterdrückt die normalen Überprüfungen von dpkg-deb --build über die vorgeschlagenen Inhalte eines Archivs. Damit können Sie jedes Archiv bauen, das Sie möchten, egal wie defekt es ist.

-D, --debug
    Aktiviert Fehlersuch-Ausgaben (»debugging«). Dies ist nicht sehr interessant.

FEHLER
dpkg-deb -I paket1.deb paket2.deb macht das Falsche. .deb-Dateien werden nicht authentifiziert; in der Tat gibt es noch nicht mal eine klare Prüfsumme. (Abstraktere Werkzeuge wie APT unterstützten die Authentifizierung von .deb-Paketen, die von einem vorgegebenen Depot geholt wurden und die meisten Pakete stellen heutzutage eine md5sum-Steuerdatei bereit, die mittels debian/rules erstellt wurde. Allerdings wird dies von den Werkzeugen auf niedrigerer Ebene nicht direkt unterstützt.) Versuchen Sie nicht, nur mit dpkg-deb Software zu installieren! Sie müssen dpkg selber verwenden, um sicherzustellen, dass alle Dateien an den richtigen Ort platziert werden, die Paketskripte ausgeführt werden und sein Status und Inhalt aufgezeichnet wird.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2009 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
deb(5), deb-control(5), dpkg(1), dselect(1).

AUTOR
Copyright © 1995-1996 Ian Jackson

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.